Bug 1288487 - python-configargparse: Build epel7 branch
Summary: python-configargparse: Build epel7 branch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-configargparse
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1288743
TreeView+ depends on / blocked
 
Reported: 2015-12-04 11:32 UTC by Robert Buchholz
Modified: 2020-05-18 06:32 UTC (History)
5 users (show)

Fixed In Version: python-configargparse-0.9.3-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-10 10:28:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
0001-Rebuilt-for-https-fedoraproject.org-wiki-Changes-pyt.patch (1.06 KB, application/mbox)
2015-12-04 11:32 UTC, Robert Buchholz
no flags Details
0002-epel7-Only-build-python2-package.patch (2.54 KB, application/mbox)
2015-12-04 11:32 UTC, Robert Buchholz
no flags Details

Description Robert Buchholz 2015-12-04 11:32:29 UTC
Created attachment 1102231 [details]
0001-Rebuilt-for-https-fedoraproject.org-wiki-Changes-pyt.patch

python-configargparse is already approved for EPEL7, but has no package built yet.

I got this to build successfully. I changed the specfile to only build python3 components conditionally (so the same file can be used for fedora and epel currently). I'll attach the patches to this bug. Note, I merged the master branch into epel7 branch before I started (also part of these patches).

If you prefer, I can create a patch that removes python3 specific parts for EPEL.

You can find the complete specfile also at http://copr-dist-git.fedorainfracloud.org/cgit/rbu/letsencrypt/python-configargparse.git/plain/python-configargparse.spec?id=d01264fff9dc6dc9a03d9282c914a9bed04db61e

Comment 1 Robert Buchholz 2015-12-04 11:32:59 UTC
Created attachment 1102233 [details]
0002-epel7-Only-build-python2-package.patch

Comment 2 James Hogarth 2015-12-04 14:19:36 UTC
This is required for the official reference letsencrypt client in EL7

Comment 3 Itamar Reis Peixoto 2015-12-05 22:37:34 UTC
I think if you post the link of the srpm with the patches on it should make our life ease because we can import it using fedpkg import, what do you think about that ?

Comment 4 Robert Buchholz 2015-12-05 23:23:53 UTC
Sure, didn't know this was easier for you. The srpms are also on COPR:
https://copr-be.cloud.fedoraproject.org/results/rbu/letsencrypt/epel-7-x86_64/00144742-python-configargparse/python-configargparse-0.9.3-5.el7.centos.src.rpm

Comment 5 Itamar Reis Peixoto 2015-12-05 23:28:28 UTC
Fab, please import this srpm and build it, thank you.

Comment 6 Fedora Update System 2015-12-08 15:10:40 UTC
python-configargparse-0.9.3-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ec1ea1cdc

Comment 7 Fedora Update System 2015-12-09 05:20:39 UTC
python-configargparse-0.9.3-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-configargparse'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-2ec1ea1cdc

Comment 8 Fedora Update System 2015-12-10 10:28:13 UTC
python-configargparse-0.9.3-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.